<?php
//*****************************************************
//Настройка параметров отправки почты
//***************************************************** 

// Имя отправителя   //например   $label_name='Иван Петров';  -будет сформирован обратный адрес вида   Иван Петров<ivan@yandex.ru>
$label_name=$mset[5];  

// Адрес e-mail отправителя   // например   $label=ivan@yandex.ru;
$label=$mset[6];       

//***********
// Настройка параметров для отправки через SMTP сервер  (примеры и пояснения внизу этого файла)
//***********

// smtp_server   // например   $smtp_server='ssl://smtp.yandex.ru'
$smtp_server=$mset[7];
if   ($mset[8]=='SSL') $smtp_server='ssl://'.$mset[7];  

// Логин        // например   $login='ivan'; 
$login=$mset[11];  

// Пароль       // например   $pass='parol';
$pass=$mset[12];       

// Порт         // например   $port='465' -для защищенного соединения ssl , или   $port='25' -для обычного соединения; 
$port=$mset[9];
if   ($mset[9]=='' && $mset[8]=='no') $port='25';    
if   ($mset[9]=='' && $mset[8]=='SSL') $port='465';

// Тайм-аут      // например   $timeout='5';
if   ($mset[10]=='') $timeout='5'; else $timeout=$mset[10];

// Если не заданы имя и адрес отправителя , то обратный адрес сформируется как        Ваш_сайт<admin@ваш_сайт.ru>

//***************************************************** 
// Настройка параметров завершена
//***************************************************** 

$server_name_cirr=$_SERVER['SERVER_NAME'];
// Проверим не кириллический ли домен
if (stripos($server_name_cirr, 'xn--')!==false){
if (is_file('sg_cm/include/idna_convert.class.php'))
require_once('sg_cm/include/idna_convert.class.php');
if (is_file('../../sg_cm/include/idna_convert.class.php'))
require_once('../../sg_cm/include/idna_convert.class.php');
if (is_file('../../../sg_cm/include/idna_convert.class.php'))
require_once('../../../sg_cm/include/idna_convert.class.php');
if (class_exists('idna_convert')) {
$idn = new idna_convert(array('idn_version'=>2008));
$server_name_cirr=$idn->decode($server_name_cirr);
$mess=@str_ireplace($_SERVER['SERVER_NAME'], $server_name_cirr, $mess);
$mess_txt=@str_ireplace($_SERVER['SERVER_NAME'], $server_name_cirr, $mess_txt);
$subj=@str_ireplace($_SERVER['SERVER_NAME'], $server_name_cirr, $subj);
}}

$lblL=str_replace("www.","",$_SERVER['SERVER_NAME']);
$lblC=str_replace("www.","",$server_name_cirr);
$posC = strpos($lblC, ".");
if ($label_name=='') $label_name =  ucfirst(substr($lblC, 0, $posC));
if ($label=='') $label="admin@".$lblL;



//Инициализация класса отправки почты
if ($mset[4]=='X5'){ $ffrom=$label_name.'<'.$label.'>'; 
$m = new imEMail($ffrom, $to, $subj, "UTF-8");
if ($mset[3]=='HTML' || $mset[3]=='HTMLTXT'){
$m->setStandardType('html');
$m->setHTML($mess);	} 
if ($mset[3]=='TXT' || $mset[3]=='HTMLTXT'){
$m->setText($mess_txt); 
}
if ($mset[3]=='TXT' || $mset[3]==''){
$m->setStandardType('text');
}
$m->send();
}

else { 
  $m= new Mail;  
  $ffrom= $label_name.';'.$label; 
if ($mset[4]=='SMTP'){


// Если в настройках GScms указан метод отправки почты SMTP отправка пойдет через smtp-сервер 

$m->smtp_on($smtp_server,$login,$pass, $port, $timeout);
//*****************************************************  
}
  
  $m->From( $ffrom); // от кого 
//  $m->ReplyTo( '' ); // куда ответить
  $m->To( $to );   // кому
  $m->Subject( $subj ); // тема
  
if ($mset[3]=='HTML') 
  $m->Body($mess,"html");
elseif ($mset[3]=='HTMLTXT') 
  $m->Body($mess,"html",$mess_txt); 
else  
$m->Body($mess_txt); 
  
$m->Priority(3) ;	// установка приоритета
// $m->log_on(true); // включаем лог, чтобы посмотреть служебную информацию
$m->Send();	// отправка
// echo "Письмо отправлено, вот исходный текст письма:<br><pre>", $m->Get(), "</pre>";
 
}  





//*****************************************************  
//*****************************************************  
//  Ниже приведены рекомендации по настройке параметров SMTP сервера
//***************************************************** 

//
//    $smtp_server -для соединения с smtp по обычному протоколу указывается сервер в обычном формате, например "smtp.mail.ru".
//
//    Для соединения с сервером по защищенному протоколу, например с gmail.com, нужно добавить перед сервером " ssl://", например "ssl://smtp.gmail.com". Так же не забудьте указать порт, для защищенных соединений он обычно 465.
//
//    $login  -логин для авторизации через smtp
//
//    $pass  -пароль для авторизации smtp
//
//    $port  -порт для соединения smtp. Если порт стандартный, можно не указывать, по умолчанию 25 . Для защищенного соединения 465
//
//    $timeout  -таймаут соединения. По умолчанию стоит 5 секунд. Обычно менять не нужно, но если smtp тормозной или ваш конект к серверу длиный, можно увеличить.
// 
//  Далее приведены примеры
//
//  $smtp_server="smtp.mail.ru";          // пример стандартного smtp сервера
//  
//  $smtp_server="ssl://smtp.gmail.com"; // пример защищенного smtp соединения 
//
//  Пример для Яндекса:
//  $smtp_server="ssl://smtp.yandex.ru";

// настройки разных серверов  http://www.mailout.ru/560/
//*****************************************************  
//*****************************************************    
?>
